<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Лабораторная 13.1</title>
  <link rel="stylesheet" href="../assets/general.css" />
  <link rel="stylesheet" href="../assets/styles.css" />
  <link rel="stylesheet" href="../assets/menu.css" />
  <script type="text/javascript" src="../scripts/script131.js"></script>
</head>
<body>
    <main>
  
      <header>
        <nav id='menu'>
          <input type='checkbox' id='responsive-menu'>
          <ul>
            <li><a href='../index.html'>Home</a></li>
            <li><a class='dropdown-arrow' href='lab131.html'>Лабораторные</a>
              <ul class='sub-menus'>
                <li><a href='lab101.html'>10.1</a></li>
                <li><a href='lab131.html'>13.1</a></li>
                <li><a href='lab132.html'>13.2</a></li>
                <li><a href='lab7.html'>7</a></li>
                <li><a href='lab8.html'>8</a></li>
                <li><a href='lab91.html'>9</a></li>
              </ul>
            </li>
            <li><a href='about.html'>О программе</a></li>
          </ul>
        </nav>
      </header>

      <div class="pagetest">
        <div class="div1">
          <div id="idCT" class="postw"> 
            <h2 id="idTest">Тест на знание Go</h2>
          </div>

          <div class="post" id="codePost">
            <div class="checkbox" id="checkbox1">
                <label>Что делает следующий код?</label><br>
                <label class="code">fmt.Print("Hello world!")</label><br>
                <input type="checkbox" id="test0CheckBox1" name="test11">
                <label for="test11">Приветствует мир</label><br>
                <input type="checkbox" id="test0CheckBox2" name="test12">
                <label for="test12">Выводит строку "hello world" в консоль</label><br>
            </div>
          </div>

          <div class="post">
            <div class="checkbox" id="checkbox2">
              <label>Выберите функцию, которая возвращает актуальное время<br></label>
              <input type="checkbox" id="test1CheckBox1" name="test21">
              <label for="test21">time.Now()</label><br>
              <input type="checkbox" id="test1CheckBox2" name="test22">
              <label for="test22">fmt.Print(time.Now())</label><br>
              <input type="checkbox" id="test1CheckBox3" name="test23">
              <label for="test23">return time</label><br>
            </div>
          </div>

          <div class="post">
            <div class="checkbox" id="checkbox3">
              <label>Как запустить функцию в новой горутине?<br></label>
              <input type="checkbox" id="test2CheckBox1" name="test31">
              <label for="test31">go function()</label><br>
              <input type="checkbox" id="test2CheckBox2" name="test32">
              <label for="test32">go function</label><br>
              <input type="checkbox" id="test2CheckBox3" name="test33">
              <label for="test33">function()</label><br>
            </div>
          </div>

          <div class="post">
            <div class="checkbox" id="checkbox4">
              <label>Консольная команда создания go.mod<br></label>
              <input type="checkbox" id="test3CheckBox1" name="test41">
              <label for="test41">go mod tidy</label><br>
              <input type="checkbox" id="test3CheckBox2" name="test42">
              <label for="test42">go mod</label><br>
              <input type="checkbox" id="test3CheckBox3" name="test43">
              <label for="test43">do mod init</label><br>
            </div>
          </div>

          <div class="post">
            <div class="checkbox" id="checkbox5">
              <label>Консольная команда компиляции и запуска файла<br></label>
              <input type="checkbox" id="test4CheckBox1" name="test51">
              <label for="test51">go run filename.go</label><br>
              <input type="checkbox" id="test4CheckBox2" name="test52">
              <label for="test52">go build filename.go</label><br>
              <input type="checkbox" id="test4CheckBox3" name="test53">
              <label for="test53">exe filename</label><br>
            </div>
          </div>

          <div class="post">
            <div class="checkbox" id="checkbox6">
              <label>Какая консольная команда сопоставляет go.mod с зависимостями?<br></label>
              <input type="checkbox" id="test5CheckBox1" name="test61">
              <label for="test61">go mod</label><br>
              <input type="checkbox" id="test5CheckBox2" name="test62">
              <label for="test62">go mod tidy</label><br>
              <input type="checkbox" id="test5CheckBox3" name="test63">
              <label for="test63">go mod init</label><br>
            </div>
          </div>

          <div class="postA"> 
            <label #id="authorL">Панель для указания авторства<br>и для размещения ссылок</label>
          </div>

        </div>
        
        <div class="timer"> 
          <div id="timer">Время: мин сек</div>    
          <div class="post" id="results">
            Результат:
          </div>
          <button id="starttimer" onclick="startTimer()">Начать выполнение</button>
        </div>

        <!-- <div class="div3">
          <div class="post" id="results">
            Результат:
          </div>
        </div> -->
      </div>

      

    </main>
  </body>
  </html>